=== debian/changelog ===
rhvoice (1.14.0-3) unstable; urgency=low

  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Update standards version to 4.6.2, no changes needed.
  * Remove field Section on binary packages rhvoice-albanian,
    rhvoice-brazilian-portuguese, rhvoice-czech, rhvoice-english,
    rhvoice-esperanto, rhvoice-kyrgyz, rhvoice-macedonian, rhvoice-polish,
    rhvoice-russian, rhvoice-slovak, rhvoice-tatar, rhvoice-ukrainian,
    rhvoice-uzbek that duplicates source.
  * patches/uint32_t: Fix build against gcc-15 (Closes: Bug#1114346)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 06 Sep 2025 23:53:37 +0200

rhvoice (1.14.0-2) unstable; urgency=medium

  * Rebuild packages on buildds.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 23 Feb 2025 19:01:27 +0100

rhvoice (1.14.0-1) unstable; urgency=medium

  * New upstream release
    - control: rhvoice-czech, rhvoice-slovak, rhvoice-uzbek: new packages.
    - control: Rename libRHVoice-core7 to libRHVoice-core10 according to
    soname bump.
    - rhvoice-polish.install, rhvoice-russian.install: Update voices lists.
    - copyright: Update.
    - patches/third-party, utf8: Refresh.
  * watch: Update to upstream not actually publishing new versions.
  * gbp.conf, copyright: Update for new upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 23 Feb 2025 01:38:25 +0100
