=== debian/control ===
Source: rhvoice
Section: non-free/sound
Priority: optional
Maintainer: Debian TTS Team <tts-project@alioth-lists.debian.net>
Uploaders: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 13),
 scons,
 libglibmm-2.4-dev,
 portaudio19-dev,
 libpulse-dev,
 libao-dev,
# libhtsengine-dev,
# TODO: libmage-dev,
 librapidxml-dev,
 libsonic-dev,
 libtclap-dev,
 libutfcpp-dev,
 libboost-dev,
 libspeechd-dev
Standards-Version: 4.6.2
Homepage: https://github.com/Olga-Yakovleva/RHVoice
Vcs-Browser: https://salsa.debian.org/tts-team/rhvoice
Vcs-Git: https://salsa.debian.org/tts-team/rhvoice.git
Rules-Requires-Root: no
XS-Autobuild: yes

Package: rhvoice
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Speech synthesizer - test tools
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 Voices are built from recordings of natural speech. They have small footprints,
 because only statistical models are stored on users' computers. And though
 the voices lack the naturalness of the synthesizers which generate speech
 by combining segments of the recordings themselves, they are still very
 intelligible and resemble the speakers who recorded the source material.
 .
 This package contains test tools

Package: speech-dispatcher-rhvoice
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, speech-dispatcher
Description: RHVoice speech synthesizer - speech dispatcher module
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 Voices are built from recordings of natural speech. They have small footprints,
 because only statistical models are stored on users' computers. And though
 the voices lack the naturalness of the synthesizers which generate speech
 by combining segments of the recordings themselves, they are still very
 intelligible and resemble the speakers who recorded the source material.
 .
 This package contains the speech dispatcher module to use RHVoice

Package: rhvoice-russian
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: rhvoice-voice
Description: RHVoice speech synthesizer - Russian voice
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 This package provides the Russian voice

Package: rhvoice-kyrgyz
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: rhvoice-voice
Description: RHVoice speech synthesizer - Kyrgyz voice
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 This package provides the Kyrgyz voice

# Note: this voice (Talgat) is really non-free by licence
Package: rhvoice-tatar
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: rhvoice-voice
Description: RHVoice speech synthesizer - Tatar voice
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 This package provides the Tatar voice

Package: rhvoice-brazilian-portuguese
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: rhvoice-voice
Description: RHVoice speech synthesizer - Brazilian Portuguese voice
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 This package provides the Brazilian Portuguese voice

Package: rhvoice-ukrainian
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: rhvoice-voice
Description: RHVoice speech synthesizer - Ukrainian voice
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 This package provides the Ukrainian voice

Package: rhvoice-esperanto
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: rhvoice-voice
Description: RHVoice speech synthesizer - Esperanto voice
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 This package provides the Esperanto voice

Package: rhvoice-english
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: rhvoice-voice
Description: RHVoice speech synthesizer - English voice
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 This package provides the English voice

Package: rhvoice-albanian
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: rhvoice-voice
Description: RHVoice speech synthesizer - Albanian voice
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 This package provides the Albanian voice

Package: rhvoice-macedonian
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: rhvoice-voice
Description: RHVoice speech synthesizer - Macedonian voice
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 This package provides the Macedonian voice

Package: rhvoice-polish
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: rhvoice-voice
Description: RHVoice speech synthesizer - Polish voice
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 This package provides the Polish voice

Package: rhvoice-czech
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: rhvoice-voice
Description: RHVoice speech synthesizer - Czech voice
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 This package provides the Czech voice

Package: rhvoice-slovak
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: rhvoice-voice
Description: RHVoice speech synthesizer - Slovak voice
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 This package provides the Slovak voice

Package: rhvoice-uzbek
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: rhvoice-voice
Description: RHVoice speech synthesizer - Uzbek voice
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 This package provides the Uzbek voice

Package: librhvoice-dev
Section: non-free/libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 librhvoice5 (= ${binary:Version}),
 librhvoice-core10 (= ${binary:Version}),
 librhvoice-audio2 (= ${binary:Version}),
Description: RHVoice speech synthesizer - development files
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 Voices are built from recordings of natural speech. They have small footprints,
 because only statistical models are stored on users' computers. And though
 the voices lack the naturalness of the synthesizers which generate speech
 by combining segments of the recordings themselves, they are still very
 intelligible and resemble the speakers who recorded the source material.
 .
 This package contains the development files.

Package: librhvoice5
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: RHVoice speech synthesizer - shared library
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 Voices are built from recordings of natural speech. They have small footprints,
 because only statistical models are stored on users' computers. And though
 the voices lack the naturalness of the synthesizers which generate speech
 by combining segments of the recordings themselves, they are still very
 intelligible and resemble the speakers who recorded the source material.
 .
 This package contains the shared library

Package: librhvoice-core10
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, rhvoice-english | rhvoice-voice
Conflicts: librhvoice-core4, librhvoice-core7
Replaces: librhvoice-core4, librhvoice-core7
Description: RHVoice speech synthesizer - core shared library
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 Voices are built from recordings of natural speech. They have small footprints,
 because only statistical models are stored on users' computers. And though
 the voices lack the naturalness of the synthesizers which generate speech
 by combining segments of the recordings themselves, they are still very
 intelligible and resemble the speakers who recorded the source material.
 .
 This package contains the core shared library

Package: librhvoice-audio2
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: RHVoice speech synthesizer - audio shared library
 RHVoice uses statistical parametric synthesis. It relies on existing open
 source speech technologies (mainly HTS and related software).
 .
 Voices are built from recordings of natural speech. They have small footprints,
 because only statistical models are stored on users' computers. And though
 the voices lack the naturalness of the synthesizers which generate speech
 by combining segments of the recordings themselves, they are still very
 intelligible and resemble the speakers who recorded the source material.
 .
 This package contains the audio shared library
