=== debian/watch ===
version=4
opts=\
searchmode=plain,\
dversionmangle=s/\+dfsg$//,\
repacksuffix=+dfsg,\
filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%rhvoice-$1% \
  https://github.com/RHVoice/RHVoice/tags \
 /RHVoice/RHVoice/archive/refs/tags/@ANY_VERSION@@ARCHIVE_EXT@
